# Report

API Documentation: | `Report`

A file based report to be created.

Tasks that produce reports expose instances of this type for configuration via the `Reporting` interface.

### Properties

Property | Description
`destination` | The location on the filesystem of the report when it is generated.
`displayName` | A more descriptive name of this report. Used when the report is referenced for end users.
`enabled` | Whether or not this report should be generated by whatever generates it.
`name` | The symbolic name of this report.
`outputType` | A file based report to be created.

### Property details

#### `File` `destination` (read-only)

The location on the filesystem of the report when it is generated.

Depending on the `Report.getOutputType()` of the report, this may point to a file or a directory.

Subtypes may implement setters for the destination.

#### `String` `displayName` (read-only)

A more descriptive name of this report. Used when the report is referenced for end users.

#### `boolean` `enabled`

Whether or not this report should be generated by whatever generates it.

If `true`, the generator of this report will generate it at the appropriate time. If `false`, the generator of this report will not generate this report.

#### `String` `name` (read-only)

The symbolic name of this report.

The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.

When part of a `ReportContainer`, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

    reports.html

#### `OutputType` `outputType` (read-only)

A file based report to be created.

Tasks that produce reports expose instances of this type for configuration via the `Reporting` interface.

### Script blocks

No script blocks

### Methods

No methods